<?php 
if(!isset($_SESSION["logado"]) == 1) {
	exit('<div class="box_conteudo">Voc&ecirc; n&atilde;o pode acessar esta p&aacute;gina</div>');
}
else{
$vip = mssql_fetch_row(mssql_query("select ".colum_vip." from memb_info where memb___id='".$_SESSION["login"]."'"));
if($vip[0] < alterar_imagem) {
	exit('<div class="box_conteudo">Voc&ecirc; n&atilde;o tem benef&iacute;cio para acessar esta p&aacute;gina</div>');
}
else{
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link type="text/css" rel="stylesheet" href="css/template.css" />
<title>Alterar imagem</title>
</head>

<body>
<h2>Alterar imagem</h2>
<div class="box_conteudo">
<form method="post" action="" enctype="multipart/form-data">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="10%">Inagem:</td>
    <td width="90%"><label>
      <input type="file" name="foto" id="foto" />
    </label></td>
    </tr>
  <tr>
    <td>Personagem:</td>
    <td><label>
      <select name="aimagem_personagem" id="aimagem_personagem">
      <?php 
	  $char = mssql_query("select name from character where accountid='".$_SESSION["login"]."'");
	  for($i=0;$i<mssql_num_rows($char);$i++) {
		$pega = mssql_fetch_row($char);
		echo '<option value="'.$pega[0].'">'.$pega[0].'</option>';
	}
	  ?>
      </select>
    </label></td>
    </tr>
  <tr>
    <td>&nbsp;</td>
    <td><label>
      <input type="submit" name="alterar" id="alterar" value="Alterar imagem" />
    </label></td>
    </tr>
</table>
</form>
</div>
<?php
if($_POST["alterar"] == true) {
$personagem = $_POST["aimagem_personagem"];
$foto = $_FILES["foto"];
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
if($personagem == "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Prencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
else{
	if(!eregi("^image\/(pjpeg|jpeg|png|gif|bmp)$", $foto["type"])) {
		exit($bbcode->bbcode('<div class="box_conteudo">Formato inválido</div>'));
	}
	elseif($foto['size'] >= 3145728) {
		exit($bbcode->bbcode('<div class="box_conteudo">Imagem muito grande</div>'));
	}
	else{
		preg_match("/\.(gif|bmp|png|jpg|jpeg){1}$/i", $foto["name"], $ext);
       	$imagem_nome = md5(uniqid(time())).".".$ext[1];
       	$imagem_dir = "images/personagens/".$imagem_nome;
        move_uploaded_file($foto["tmp_name"], $imagem_dir);
		mssql_query("update character set imagem='".$imagem_nome."' where name='".$personagem."'");
		exit($bbcode->bbcode('<div class="box_conteudo">Imagem alterada com sucesso</div>'));
	}
}
}
?>
</body>
</html>
<? }} ?>